# 军棋

显现步骤
- 显示棋盘底图
- 实现虚拟的兵站、行营、大本营，并与底图对齐
- 棋子可以按规则放入兵站、行营、大本营
- 实现轮流行棋
- 实现行棋规则
- 实现吃子
- 实现输赢


## 规则

1. 司令 > 军长 > 师长 > 旅长 > 团长 > 营长 > 连长 > 排长 > 工兵 > 地雷
2. 相同棋子相遇，同归于尽
3. 地雷不得移动，被工兵攻击则败，被其他任何敌方棋子攻击皆同归于尽
4. 炸弹与任何敌方棋子相遇都会同归于尽，但不包括军旗
5. 军旗不能移动。在铁路上的棋子，沿铁路无子阻挡中间路程时，可以直线行动不限格数；若该棋子为工兵，可沿中间路程未被阻挡的铁路线行进至可能达到的任一位置。在公路线上，所有可移动棋子每回合只能沿公路线，向任意方向走一格。
6. 进入大本营的棋子不能移动。
7. 当棋子在行营内对方不得攻击。
8. 同方棋子不能相互攻击。

```
行棋
    每步只能移动一个棋子，地雷与军旗不能移动。
    棋盘上的线分为两种：铁路线、公路线。 在铁路上的棋子，沿铁路无子阻挡中间路程时，可以直线行动不限格数；若该棋子为工兵，可沿中间路程未被阻挡的铁路线行进至可能达到的任一位置。部分规则中规定工兵外所有可动棋子在铁路上最多只可走三格，但可拐弯。在公路线上，所有可移动棋子每回合只能沿公路线，向任意方向走一格。
吃子
    当棋子移动的目的地有棋子时，移来的棋子攻击未动的棋子，此时按上述规则决定胜负，负者被消灭，胜者留存在该位置或同归于尽。若目的地的棋子不能攻击，则不能如此移动。
    同方棋子不能相互攻击。
    当棋子在行营内对方不得攻击。
布阵规则：

    棋子可以摆放在己方的兵站或大本营中，不能摆放在行营中。
    军旗必须放在大本营中。
    炸弹不能放在第一排。
    地雷必须放在最后两排。
    黑方先行棋，然后轮流走子。
进入大本营的棋子不能移动。
出现棋子相攻的情况，由裁判决定的棋子出局。玩家只会知道己方及对方的棋子是否出局，不会直接知道对方的棋子是什么。
司令被消灭后强制向敌方明示己方军旗所在位置。    （部分地区规则规定司令+军长被消灭后须翻开非军旗的大本营中的棋子，但司令未被消灭但军长已被消灭则不须翻开任何大本营中的棋子）

下暗棋时双方要发挥想象力和判断力，躲过大子，吃掉小子，直至最后夺得对方的军旗，或者消灭敌方所有可以动的棋。

部分地区规定司令不可消灭军旗
```
